
'msg = "ASTA {Name cam} {Link 0} {Value -0.0453}"</tt>: new, not handled yet
'msg = "MISSTA {Time 439.6753} {Name cam} {Link 1} {Value -0.0453} {Torque 0}"</tt>: MISSTA? is this a bug. Yet, message is handled (didn't check if it was parsed)

<Serializable()> _
Public Class ActuatorStatusData
    Implements ISensorData

    Public Sub New()
        ' An Actuator chain has a name and a number of links
        Me._Value = New Dictionary(Of Integer, Double)
        Me._Torque = New Dictionary(Of Integer, Double)
    End Sub

    Public Sub Load(ByVal msg As System.Collections.Specialized.StringDictionary) Implements ISensorData.Load
        Dim link As Integer = 0
        If msg.ContainsKey("Time") Then
            Me._Time = Double.Parse(msg("Time"))
        End If


        If msg.ContainsKey("Link") Then
            link = Integer.Parse(msg("Link"))
        End If

        'Value (and Torque) should be dependable on name and link
        'Name is handled in ActuatorStatus. Here only the link

        If msg.ContainsKey("Value") Then
            Me._Value(link) = Double.Parse(msg("Value"))
        End If

        If msg.ContainsKey("Torque") Then
            Me._Torque(link) = Double.Parse(msg("Torque"))
        End If

    End Sub

    Private _Time As Double
    Public ReadOnly Property Time() As Double
        Get
            Return Me._Time
        End Get
    End Property

    Private _Value As Dictionary(Of Integer, Double)
    Public ReadOnly Property Value(ByVal index As Integer) As Double
        Get
            Return Me._Value(index)
        End Get
    End Property
    Public ReadOnly Property ValueCount() As Integer
        Get
            Return _Value.Count
        End Get
    End Property

    Private _Torque As Dictionary(Of Integer, Double)
    Public ReadOnly Property Torque(ByVal index As Integer) As Double
        Get
            Return Me._Torque(index)
        End Get
    End Property
    Public ReadOnly Property _TorqueCount() As Integer
        Get
            Return _Torque.Count
        End Get
    End Property

End Class
